ipmitool reports NVIDIA BMCs as "Unknown"

Bug #1781293 reported by dann frazier on 2018-07-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ipmitool (Debian)
Fix Released
Unknown
ipmitool (Ubuntu)
Undecided
dann frazier
Xenial
Undecided
dann frazier
Artful
Undecided
dann frazier
Bionic
Undecided
dann frazier
Cosmic
Undecided
dann frazier

Bug Description

[Impact]
The command "ipmitool mc info" fails to recognize the Manufacturer ID for NVIDIA BMCs, causing it to report:

Manufacturer Name : Unknown

[Test Case]
On an NVIDIA system, such as a DGX-1 system, run "sudo ipmitool mc info" and look for:

Manufacturer Name : NVIDIA Corporation

[Regression Risk]
Adds a static entry to a lookup table. The biggest regression risk I see is if there are BMCs out there using NVIDIA's registered ID that aren't actually NVIDIA BMCs - ipmitool would now be reporting them incorrectly.

dann frazier (dannf) on 2018-07-11
Changed in ipmitool (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
Changed in ipmitool (Ubuntu Artful):
assignee: nobody → dann frazier (dannf)
Changed in ipmitool (Ubuntu Bionic):
assignee: nobody → dann frazier (dannf)
Changed in ipmitool (Ubuntu Cosmic):
assignee: nobody → dann frazier (dannf)
Changed in ipmitool (Debian):
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ipmitool - 1.8.18-5ubuntu1

---------------
ipmitool (1.8.18-5ubuntu1) cosmic; urgency=medium

  * Report the manufacturer of NVIDIA BMCs as "NVIDIA Corporation",
    not "Unknown". (LP: #1781293)

 -- dann frazier <email address hidden> Thu, 12 Jul 2018 13:54:41 -0600

Changed in ipmitool (Ubuntu Cosmic):
status: New → Fix Released

Hello dann, or anyone else affected,

Accepted ipmitool into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ipmitool/1.8.18-5ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ipmitool (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic

ipmitool 1.8.18-5build1
$ sudo ipmitool mc info
Device ID : 32
Device Revision : 1
Firmware Revision : 0.30
IPMI Version : 2.0
Manufacturer ID : 5703
Manufacturer Name : Unknown (0x1647)
Product ID : 0 (0x0000)
Product Name : Unknown (0x0)
Device Available : yes
Provides Device SDRs : no
Additional Device Support :
    Sensor Device
    SDR Repository Device
    SEL Device
    FRU Inventory Device
    IPMB Event Receiver
    IPMB Event Generator
    Chassis Device
Aux Firmware Rev Info :
    0x01
    0x00
    0x00
    0x00

Then update to Proposed

ipmitool 1.8.18-5ubuntu0.1

$ sudo ipmitool mc info
Device ID : 32
Device Revision : 1
Firmware Revision : 0.30
IPMI Version : 2.0
Manufacturer ID : 5703
Manufacturer Name : NVIDIA Corporation
Product ID : 0 (0x0000)
Product Name : Unknown (0x0)
Device Available : yes
Provides Device SDRs : no
Additional Device Support :
    Sensor Device
    SDR Repository Device
    SEL Device
    FRU Inventory Device
    IPMB Event Receiver
    IPMB Event Generator
    Chassis Device
Aux Firmware Rev Info :
    0x01
    0x00
    0x00
    0x00

That said, verified - thanks Dannf!

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ipmitool - 1.8.18-5ubuntu0.1

---------------
ipmitool (1.8.18-5ubuntu0.1) bionic; urgency=medium

  * Report the manufacturer of NVIDIA BMCs as "NVIDIA Corporation",
    not "Unknown". (LP: #1781293)

 -- dann frazier <email address hidden> Thu, 12 Jul 2018 18:37:42 -0600

Changed in ipmitool (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ipmitool has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in ipmitool (Ubuntu Artful):
status: New → Invalid
dann frazier (dannf) on 2018-07-31
Changed in ipmitool (Ubuntu Xenial):
status: New → In Progress
Chris J Arges (arges) wrote :

Hello dann, or anyone else affected,

Accepted ipmitool into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ipmitool/1.8.16-3ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ipmitool (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-done-xenial verification-needed
removed: verification-done
tags: added: verification-needed-xenial
removed: verification-done-xenial verification-needed
dann frazier (dannf) wrote :

lab@xpl-bu-03:~/newton/ipmitool-xenial-proposed/data/usr/bin$ sudo ./ipmitool mc info
[sudo] password for lab:
Device ID : 32
Device Revision : 1
Firmware Revision : 0.50
IPMI Version : 2.0
Manufacturer ID : 5703
Manufacturer Name : NVIDIA Corporation

tags: added: verification-done-xenial
removed: verification-needed-xenial
Brian Murray (brian-murray) wrote :

> lab@xpl-bu-03:~/newton/ipmitool-xenial-proposed/data/usr/bin$ sudo ./ipmitool mc info

That doesn't seem like it is the ipmitool from the version of the package installed from the -proposed repository. Could you please verify this using the package from the archive?

tags: added: verification-needed-xenial
removed: verification-done-xenial

On Thu, Aug 16, 2018 at 5:46 PM Brian Murray <email address hidden> wrote:
>
> > lab@xpl-bu-03:~/newton/ipmitool-xenial-proposed/data/usr/bin$ sudo
> ./ipmitool mc info
>
> That doesn't seem like it is the ipmitool from the version of the
> package installed from the -proposed repository. Could you please verify
> this using the package from the archive?

It was actually, just extracted in a directory instead of installed on
the host, which is running bionic. (That's the most I could ask from
the user who did the verification for me). But, I should have access
to that system myself soon - it'll still be running bionic, but I can
retest w/ a xenial chroot + bind mounted /dev.

 -dann

Changed in ipmitool (Debian):
status: New → Fix Released
dann frazier (dannf) wrote :

dannf@xpl-evt-28:~$ sudo chroot xenial dpkg -s ipmitool | grep Version
Version: 1.8.16-3ubuntu0.2
dannf@xpl-evt-28:~$ sudo chroot xenial ipmitool mc info
Device ID : 32
Device Revision : 1
Firmware Revision : 0.50
IPMI Version : 2.0
Manufacturer ID : 5703
Manufacturer Name : NVIDIA Corporation
Product ID : 0 (0x0000)
Product Name : Unknown (0x0)
Device Available : yes
Provides Device SDRs : yes
Additional Device Support :
    Sensor Device
    SDR Repository Device
    SEL Device
    FRU Inventory Device
    IPMB Event Receiver
    IPMB Event Generator
    Chassis Device
Aux Firmware Rev Info :
    0x01
    0x00
    0x00
    0x00

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ipmitool - 1.8.16-3ubuntu0.2

---------------
ipmitool (1.8.16-3ubuntu0.2) xenial; urgency=medium

  * Report the manufacturer of NVIDIA BMCs as "NVIDIA Corporation",
    not "Unknown". (LP: #1781293)

 -- dann frazier <email address hidden> Tue, 31 Jul 2018 14:00:57 -0600

Changed in ipmitool (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.